
<html>
  <title>Living Actor - a Cantoche Product licensed for The Netherlands to Creactiv</title>

<!--  LIVINGACTOR-->
<Object ID="LIVINGACTORPLUGIN" Width=0 Height=0 ClassID="CLSID:B8A23E08-0B26-4348-AA96-33395A51DDD9">
	<embed name=LIVINGACTORPLUGIN type='application/x-clap' hidden=true MAYSCRIPT>
</Object>
<!--INCLUDE  -->
<script language="JavaScript" src="js/LIBRARY_LA16.js"></script>
<script language="JavaScript" src="js/INIT_LA16.js"></script>
<script language="VBScript"   src="js/INIT_LA16.vbs"></script>
<script language="JavaScript" src="js/RESOURCES_LA16_EN.js"></script>
<script language="JavaScript" src="js/Actor_FormPose16.js"></script>

<Script Language="JavaScript">


window.onload=function(){
}

// --------functions -----------



function colorRed() {
}

function colorPurple() {
}

function colorYellow() {
}

function colorGreen() {
}

function colorBlue() {
}

function printTextAreas() {

   if(ACTOR.GetStatus()==0) {
      printAnimationList();
      printExpressionList();

   } else {
      setTimeout('printTextAreas();','2000');
   }
}

function printAnimationList() {
   for(k=0;k<ACTOR.GetAnimationCount();k++) {
      var nLength = document.formulier.animationList.options.length;
      document.formulier.animationList.options[nLength] = new Option(ACTOR.GetAnimation(k), ACTOR.GetAnimation(k), false, false);
   }
}

function printExpressionList() {
   for(m=0;m<ACTOR.GetExpressionCount();m++) {
      var nLength = document.formulier.expressionList.options.length;
      var nTemp = ACTOR.GetExpression(m);
      if (nTemp.indexOf("unnamed")==-1)
         document.formulier.expressionList.options[nLength] = new Option(ACTOR.GetExpression(m), ACTOR.GetExpression(m), false, false);
   }
}

function move() {
}

function sizeActor(fSize) {
}

function sayThis(fText) {
   alert("Er is nog geen 'Living Actor' gekozen.");
}

function animationThis(fText) {
}

function expressionThis(fText) {
   alert("Er is nog geen 'Living Actor' gekozen.");
}

//---------------------------start basic-------------------------------------------

var bob      = PathFor("la/Bob_Cantoche.liv");
var hatem    = PathFor("la/Bob_Cantoche_Suit.liv");
var aurore   = PathFor("la/Aurore_JBC.liv");
var laura    = PathFor("la/Laura_Cantoche.liv");
var foxy     = PathFor("la/Foxy_Cantoche.liv");
var bot      = PathFor("la/DeskBot_Cantoche.liv");
var phoxy    = PathFor("la/Phoxy_PSV.liv");
var philippe = PathFor("la/Philip_Cantoche_Costume.liv");
var julie		 = PathFor("la/julie_wolters_kluwer.liv");
var zelia		 = PathFor("la/Aurore_Cantoche_Zelia.liv");
var lucy     = PathFor("la/Laura_EDF.liv");
var eva     = PathFor("la/Eva_Cantoche_Red.liv");
var klm     = PathFor("la/Laure_KLM.liv");


function Main_LivingActor() {
	ACTOR.Stop();
	addpopupmenu();
	ACTOR.DeleteActorPreferences();


	ACTOR.SetExpression("Smile1");
	ACTOR.PlaceAtScreen(0.5,0.4);
	ACTOR.Show();
	//ACTOR.Disable("TOGGLE_SYSTEM_ICON");
	ACTOR.Play("GestureUser");
	ACTOR.Speak("Hallo!!");
	ACTOR.Play("GestureMe");


	ACTOR.SetExpression("Basic",500);
}

// -------------- pop up menu ---------------------
function addpopupmenu(){
   ACTOR.MenuClear();
   ACTOR.MenuAddItem("www.creactiv.nl","Site");
   ACTOR.MenuAddItem("verbergen","Hide");
}

// ------- event --------

function LA_OnDialogID(event){

		if (event == "")
			 return;

		if(event == "Site"){
			 ACTOR.Stop();
			 window.open("http://www.creactiv.nl");
			 ACTOR.Play("GestureRight");
			 ACTOR.Speak("Kijk maar eens lekker rond! ");
			 return;
		}

		if(event == "Hide"){
			 ACTOR.Stop();
			 ACTOR.Play("Wave");
			 ACTOR.Speak("Tot ziens! ");
			 ACTOR.Hide();
			 return;
		}

 		if(event == "middle"){
       ACTOR.Stop();
       ACTOR.MoveToScreen(0.5,0.5);
	     ACTOR.Speak("Ik kan ook sneller verplaatsen. Waar wil je dat ik naartoe ga?  <WEB_LINK,rightTop2,Rechts boven><> of wil je dat ik <WEB_LINK,stop,stop><>??");
			 return;
		}

 		if(event == "rightTop"){
       ACTOR.Stop();
       ACTOR.MoveToScreen(0.9,0.1);
	     ACTOR.Speak("Ik kan ook sneller verplaatsen. Waar wil je dat ik naartoe ga? Het <WEB_LINK,middle2,midden><> of wil je dat ik <WEB_LINK,stop,stop><>??");
			 return;
		}

 		if(event == "rightTop2"){
       ACTOR.Stop();
       ACTOR.PlaceAtScreen(0.9,0.1);
			 ACTOR.Speak('en hop ik ben er.');
			 return;
		}

 		if(event == "middle2"){
       ACTOR.Stop();
       ACTOR.PlaceAtScreen(0.5,0.5);
			 ACTOR.Speak('en hop ik ben er.');
			 return;
		}

 		if(event =="stop"){
			 return;
		}
}

function LA_OnSelect(material,bone) {
window.status = bone;
}

// ------- bookmark --------



//----------------------end basic---------------------------------

</script>

  <link rel="stylesheet" href="css/style.css"/>
</head>

<body>

	<table align="center" border="0" cellspacing="0" cellpadding="0" width="766" height="100%">
		<tr>
			<td id="globalHeader" style="height:150px;"><br></td>
		</tr>
    <tr id="globalcontainer">
			<td valign="top">

        <div id="demoHeader">
            <div id="headersqf" style="position: absolute; top:-151px; left: 1px;">
               <object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0" width="736" height="372" id="header" align="middle">
                 <param name="allowScriptAccess" value="sameDomain" />
                 <param name="movie" value="flash/demo_header.swf" />
                 <param name="menu" value="false" />
                 <param name="quality" value="best" />
                 <param name="scale" value="exactfit" />
                 <param name="salign" value="t" />
                 <param name="wmode" value="transparent" />
                 <param name="bgcolor" value="#ffffff" />
                 <embed src="flash/demo_header.swf" menu="false" quality="best" scale="exactfit" salign="t" wmode="transparent" bgcolor="#ffffff" width="736" height="372" name="header" align="middle" allowScriptAccess="sameDomain" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" />
               </object>
            </div>
        </div>
        <div id="line">
           <div id="gradient1" style="position: absolute; top:0px; left: 3px;  width: 238px; height: 150px;"><div id="gradient2"><div id="box150">
                <div id="textarea1" style="position: absolute; top:12px; left: 12px; width:212px; height:124px; color: #1E316F; font-size: 9px; text-align: left; overflow:auto; scrollbar-base-color: #A8B4DA;">
                  Maak kennis met een kleine greep uit het Living Actor assortiment. Om te ervaren wat er allemaal mogelijk is kun je meteen een Living Actor naar keuze oproepen. <br><br>Klik hiervoor op een Living Actor foto. <br>Er zal eenmalig een gratis plugin worden aangeboden
                  die nodig is voor het functioneren van alle Living actors.
                </div>
            </div></div></div>
           <div id="gradient1" style="position: absolute; top:0px; left: 249px; width: 238px; height: 150px;"><div id="gradient2"><div id="box150">
               <div id="textarea2" style="position: absolute; top:12px; left: 12px; width:212px; height:124px; color: #1E316F; font-size: 9px; text-align: left; overflow:auto; scrollbar-base-color: #A8B4DA;">
                  Smaken verschillen, Living Actors gelukkig ook. Zo zijn zelfs complete custom made Living Actors te realiseren die perfect bij uw doelgroep en uitstraling aansluiten.
                  <br><br>
                  Ervaar hoe makkelijk een Living Actor zich laat tweeken tot <b>de</b> Living Actor van uw smaak. Mag hij iets groter, of toch liever iets kleiner?
                  Een andere kleur? u zegt het maar. U kunt het zelf regelen aan de hand van de onderstaande panelen. <br><br>Graag vermelden we erbij dat er nog meer combinaties mogelijk zijn
                  in onze online demo.
                </div>
            </div></div></div>
           <div id="gradient1" style="position: absolute; top:0px; left: 494px; width: 238px; height: 150px;"><div id="gradient2"><div id="box150">
               <div id="textarea3" style="position: absolute; top:12px; left: 12px; width:212px; height:124px; color: #1E316F; font-size: 9px; text-align: left; overflow:auto; scrollbar-base-color: #A8B4DA;">
                  Goed! We hebben een Living Actor gestyled naar keuze. Uw Living Actor is klaar voor actie! <br><br>Laat hem praten, commandeer hem maar over het scherm. Bepaal zijn stemming en zijn gedrag. <br>U zult zien dat
                  Living Actor doet wat u van hem verlangt. Probleemloos, en vlug. Crossplatform en volledig interactief. De mogelijkheden zijn eindeloos. <br><br>Probeer het zelf en laat Living Actor u overtuigen!
                </div>
            </div></div></div>
        </div>
        <div id="demoLine">
           <div id="gradient1" style="position: absolute; top:0px; left: 3px;  width: 238px; height: 450px;"><div id="gradient2"><div id="box350">
               <div id="textarea4" style="position: absolute; top:12px; left: 12px; width:212px; height:424px; color: #1E316F; font-size: 9px; text-align: left; overflow:auto; scrollbar-base-color: #A8B4DA;">
                  <br>
                  <b>Bob</b><br><center>
                    <a href="/demo.php?actor=bob"><img src="images/bob-large.gif" alt="" border="0"></a></img><br><br>
                    </center>
                  <b>DeskBot</b><br><center>
                    <a href="/demo.php?actor=bot"><img src="images/bot-large.gif" alt="" border="0"></a></img><br><br>                          </center>
                  <b>Laura</b><br><center>
                    <a href="/demo.php?actor=laura"><img src="images/laura-large.gif" alt="" border="0"></a></img><br><br>
                    </center>
                  <b>Foxy</b><br><center>
                    <a href="/demo.php?actor=foxy"><img src="images/vos-large.gif" alt="" border="0"></a></img>
                    </center>

                </div>
            </div></div></div>
           <div id="gradient1" style="position: absolute; top:0px; left: 249px; width: 238px; height: 450px;"><div id="gradient2"><div id="box350">
               <div id="textarea5" style="position: absolute; top:12px; left: 12px; width:212px; height:424px; color: #1E316F; font-size: 9px; text-align: left; overflow:auto; scrollbar-base-color: #A8B4DA;">
                  <br><b>Kleuren</b>
                  <br>
                  Geef je living Actor kleur! Kleurcombinaties zoveel en zo gek je maar zou kunnen bedenken. Naar smaak samen te stellen en te gebruiken. Kies een verfkwast als voorbeeld.<br><br>
                    <center>
                     <object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0" width="210" height="60" id="title" align="middle">
                       <param name="allowScriptAccess" value="sameDomain" />
                       <param name="movie" value="flash/demo_colorchooser.swf" />
                       <param name="menu" value="false" />
                       <param name="quality" value="best" />
                       <param name="scale" value="exactfit" />
                       <param name="salign" value="t" />
                       <param name="wmode" value="transparent" />
                       <param name="bgcolor" value="#ffffff" />
                       <embed src="flash/demo_colorchooser.swf" menu="false" quality="best" scale="exactfit" salign="t" wmode="transparent" bgcolor="#ffffff" width="210" height="60" name="title" align="middle" allowScriptAccess="sameDomain" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" />
                     </object>
                   </center>

                  <img src="images/divider.gif" alt="" border="0" width="210" height="2"></img>
                  <br><br><b>Formaat</b>
                  <br>
                  Size does matter. Living Actor komt in vele formaten. Kijk hoe snel we groeien. Impact! Toch?
                   <center>

               <object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0" width="210" height="180" id="title" align="middle">
                 <param name="allowScriptAccess" value="sameDomain" />
                 <param name="movie" value="flash/demo_sizechooser.swf" />
                 <param name="menu" value="false" />
                 <param name="quality" value="best" />
                 <param name="scale" value="exactfit" />
                 <param name="salign" value="t" />
                 <param name="wmode" value="transparent" />
                 <param name="bgcolor" value="#ffffff" />
                 <embed src="flash/demo_sizechooser.swf" menu="false" quality="best" scale="exactfit" salign="t" wmode="transparent" bgcolor="#ffffff" width="210" height="180" name="title" align="middle" allowScriptAccess="sameDomain" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" />
               </object>


                   </center>
                </div>
            </div></div></div>
           <div id="gradient1" style="position: absolute; top:0px; left: 494px; width: 238px; height: 450px;"><div id="gradient2"><div id="box350">
               <div id="textarea6" style="position: absolute; top:12px; left: 12px; width:212px; height:424px; color: #1E316F; font-size: 9px; text-align: left; overflow:none; scrollbar-base-color: #A8B4DA;">

                  <br>
                  <b>Spraak</b>
                  <br>
                  <table border="0" cellspacing="0" cellpadding="0">
                    <tr>Klaar om te spreken! Voer een tekst in en bevestig dit met een druk op de oranje button<br><br>
                      <td><input type="text" id="tekstinvoer" style="width: 180px; background-color:#DDDDDD; height:20px;" > </td>
                      <td>&nbsp;<img src="images/button.gif" alt="" border="0" style="cursor: pointer;" onClick="sayThis(document.getElementById('tekstinvoer').value);"></img></td>
                    </tr>
                  </table>
                <form name="formulier">
                  <img src="images/divider.gif" alt="" border="0" width="210" height="2"></img><br>

                  <b>Animaties</b>
                  <br>
                  Spreken is zilver maar animaties zijn goud. Gelukkig is elke Living Actor voorzien van veel eigen animaties. <br>And action! <br><br>
                  <select name="animationList" style="width:180px; background-color:#DDDDDD; height:20px;" onChange="animationThis(document.formulier.animationList.options[document.formulier.animationList.selectedIndex].value);"></select>

                  <br><br><img src="images/divider.gif" alt="" border="0" width="210" height="2"></img><br>

                  <b>Expressies</b>
                  <br>
                  Als versterking van de animaties beschikken de Living Actors tevens over vele expressies die de interactie enorm versterken!
                  <br><br>
                  <select name="expressionList" style="width:180px; background-color:#DDDDDD; height:20px;" onChange="ACTOR.SetExpression(document.formulier.expressionList.options[document.formulier.expressionList.selectedIndex].value);"></select>

                  <br><br><img src="images/divider.gif" alt="" border="0" width="210" height="2"></img><br>

                  <b>Verplaatsing</b>
                  <br>
                  Living Actor is beschikbaar en bestuurbaar over heel uw scherm!<br><br>
                  <img src="images/verplaatsing.gif" alt="" border="0" style="cursor: pointer;" onClick="move();"></img>


                 </form>

                </div>
            </div></div></div>
        </div>



        <div id="footer">
        	<div id="gradient1" style="position: absolute; top:0px; left: 3px; width: 729px; height: 50px;"><div id="gradient2"><div id="box50">
        	  <a href="index.php"><img src="images/button.gif" border="0" alt="" style="position: absolute; top:15px; left: 600px;"></img>
        	  <img src="images/home.gif" border="0" alt="" style="cursor: pointer; position: absolute; top:15px; left: 620px;"></img></a>

        	</div></div></div>

        </div>
		  </td>
		</tr>
  </table>

</body>

</html>
